python-django-debug-toolbar (1:4.3-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Change how Python 3 version is used
    (Closes: #1061751)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Feb 2024 18:39:01 +0100

python-django-debug-toolbar (1:4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3
    (Closes: #1061751)
  * d/rules: Drop --with option in default target
  * d/copyright: Update year data
  * autopkgtest: Ensure test use all Python versions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Feb 2024 20:52:16 +0100

python-django-debug-toolbar (1:4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2
  * Rebuild patch queue from patch queue branch
    Dropped patch:
    Test-Skip-sql_tracking.SQLQueryTriggered.patch
  * d/control: Add new build dependency for documentation
  * d/control: Move some Build-Depends-Indep to B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Oct 2023 12:51:21 +0200

python-django-debug-toolbar (1:4.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jun 2023 16:00:54 +0200

python-django-debug-toolbar (1:4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.1
  * Rebuild patch queue from patch queue branch
    Updated patch:
    docs-Use-local-inventory-for-intersphinx.patch
  * d/control: Adding additional suggested -doc packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 May 2023 18:15:34 +0200

python-django-debug-toolbar (1:4.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.0.0
  * d/u/metadata: Update upstream information
  * d/control: Bump Standards-Version to 4.6.2
  * d/copyright: Update year data
  * d/control: Set minimal version for hatchling

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Apr 2023 07:30:27 +0200

python-django-debug-toolbar (1:3.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.8.1
  * Rebuild patch queue from patch queue branch
    Added patch:
    docs-Use-local-inventory-for-intersphinx.patch
  * d/control: Update build dependencies, add BuildProfileSpec
  * d/rules: Define and using a variable SPHINXOPT

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Dec 2022 18:45:47 +0100

python-django-debug-toolbar (1:3.7-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Use git mode to detect new tagged versions
  * New upstream version 3.7
  * d/control: Adding entry Rules-Requires-Root: no
  * d/copyright: Add myself to the copyright data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Oct 2022 12:25:19 +0200

python-django-debug-toolbar (1:3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 27 Aug 2022 16:35:13 +0200

python-django-debug-toolbar (1:3.5-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Adding a default configuration for gbp
  * d/README.source: Adding some information about packaging
  * New upstream version 3.5
  * Add patches from patch-queue branch
    Added patches:
    Test-Skip-sql_tracking.SQLQueryTriggered.patch
    Privacy-Remove-linking-to-external-Jazzband-graphic.patch
  * d/rules: Remove obsolete Python2 settings
  * d/rules: Use dh_sphinxdoc to build documentation
  * d/rule: Use some more verbosity within the tests
  * autopkgtest: Also use more testing verbosity here
  * Running wrap-and-sort -ast
  * d/control: Remove obsolete version requirements
  * d/control: Sort binary packages alphabetical
  * d/control: Split off B-D to additional B-D-Indep
  * d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * d/copyright: Update years of copyright
  * d/watch: Define version 4
  * d/p-d-debug-toolbar-doc.doc-base: Add sequencer file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Jul 2022 19:49:25 +0200

python-django-debug-toolbar (1:3.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Antonio Terceiro ]
  * New upstream version 3.2.2

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 10 Nov 2021 11:28:24 -0300

python-django-debug-toolbar (1:3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.1
  * Update the github URL (moved to jazzband organization)
  * Replace python3-django-ninja build dep with python3-jinja2
  * Bump Standards-Version to 4.5.1

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 03 Jun 2021 09:45:31 +0200

python-django-debug-toolbar (1:2.0-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-django-debug-toolbar-doc: Add Multi-Arch: foreign.

  [ Antonio Terceiro ]
  * Source only upload to allow for testing migration.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Jan 2021 15:44:41 -0300

python-django-debug-toolbar (1:2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.

  [ Andrew Starr-Bochicchio ]
  * New upstream release (Closes: #933130).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 25 Aug 2019 10:24:09 -0400

python-django-debug-toolbar (1:1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Add missing autopkgtest dependency on python{3}-django-jinja.
    Closes: #883056 Thanks to Steve Langasek.
  * Invoke tests via pybuild.
  * Bump Standards-Version to 4.1.2, no changes.
  * Build depend on python{3}-html5lib.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 25 Dec 2017 10:33:53 -0500

python-django-debug-toolbar (1:1.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop XS-Testsuite header, now automatically injected.
  * Depend on python{3}-django-jinja.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 03 Jul 2017 11:16:09 -0400

python-django-debug-toolbar (1:1.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop sqlparse-downgrade.patch as sqlparse >= 0.2 is
    now in Debian.
  * Depend on python{3}-sqlparse >= 0.2.0 (Closes: #844792).
  * Drop django-1.10-compat.patch, applied upstream.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 27 Nov 2016 10:26:50 -0500

python-django-debug-toolbar (1:1.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * django-1.10-compat.patch: Make DebugToolarMiddleware compatible
    with Django 1.10's MIDDLEWARE setting (Closes: #828664).
  * sqlparse-downgrade.patch: Restore compatibility with
    sqlparse < 0.2.0 as Debian has 0.1.18.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 20 Aug 2016 13:21:13 -0400

python-django-debug-toolbar (1:1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #801939).
  * Bump Standards-Version to 3.9.6, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 01 Nov 2015 16:45:20 -0500

python-django-debug-toolbar (1:1.2.1-2) unstable; urgency=medium

  * debian/copyright: Update to properly conform to the machine-readable
    copyright spec.
  * Jquery is no longer bundled, so drop linking code in debian/rules.
  * Move libjs-jquery to Suggests. Upstream introduced a JQUERY_URL
    configuration option that can also take a local URI.
  * Build Python 3 package (Closes: #755617).
  * Build python-django-debug-toolbar-doc package with common docs.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 07 Sep 2014 16:14:52 -0400

python-django-debug-toolbar (1:1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Add XS-Testsuite field in debian/control
  * Go back to GitHub for debian/watch.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 27 May 2014 22:04:29 -0400

python-django-debug-toolbar (1:1.2-1) unstable; urgency=medium

  * New upstream release.
  * Adopt for Debian Python Modules Team (Closes: #738299).
  * Use PyPi for debian/watch instead of GitHub.
  * Run tests at build time.
  * Add missing dependency on python-sqlparse.
  * Add DEP-8 tests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 26 Apr 2014 18:05:45 -0400

python-django-debug-toolbar (1:1.0.1-1) unstable; urgency=medium

  * Orphaning package.

 -- Chris Lamb <lamby@debian.org>  Sun, 09 Feb 2014 00:07:02 +0000

python-django-debug-toolbar (1:1.0.1-0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Drop get-orig-source target now we are using git-buildpackage

  [ Raphaël Hertzog ]
  * New upstream release. Closes: #636897
  * Brings compatibility with Django 1.6. Closes: #726011
  * Switch from python-support to dh-python
  * Updated Standards-Version to 3.9.5.
  * Update watch file.
  * Drop useless debian/README.Debian, debian/setup.py.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 21 Jan 2014 08:55:43 +0100

python-django-debug-toolbar (1:0+git201107220111-96e46c6-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump Standards-Version to 3.9.2.
  * New Homepage.
  * Don't use upstream Makefile target.
  * Don't embed jquery.cookie.js file.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Jul 2011 01:09:24 +0200

python-django-debug-toolbar (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 May 2011 14:38:08 +0100

python-django-debug-toolbar (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 23:08:44 +0000

python-django-debug-toolbar (0.8.3-2) unstable; urgency=low

  * Don't install examples to /usr/share/pyshared/example. This is related to
    but doesn't resolve #589170.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jul 2010 11:44:41 +0100

python-django-debug-toolbar (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Move to dpkg '3.0 (quilt)' source format
  * Bump Standards-Version to 3.8.4
  * Use less-brittle method of symlinking jQuery.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 May 2010 17:44:11 +0100

python-django-debug-toolbar (0.8.1+git200911272145-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix incompatibility with Python 2.4 (Closes: #559138)

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Dec 2009 09:27:03 +0000

python-django-debug-toolbar (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Dec 2009 01:27:02 +0000

python-django-debug-toolbar (0.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #547733)
  * Move to minimal dh7 style.
  * Update debian/watch to use githubredir.
  * Drop get-orig-source; we have a real tarball now.
  * Bump Standards-Version to 3.8.3.
  * Add homepage.

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Sep 2009 22:17:40 +0100

python-django-debug-toolbar (0+git200904211406-2) unstable; urgency=low

  * Support Python 2.6
    - Add --install-layout=deb to "setup.py install" call
    - Don't "site-packages" directory name when creating jQuery symlink.
    Thanks to Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 May 2009 23:44:58 +0100

python-django-debug-toolbar (0+git200904211406-1) unstable; urgency=low

  * New upstream release.
  * Add python-setuptools to Build-Depends. Previous upload did not move
    python-setuptools from Build-Depends-Indep to Build-Depends - rather,
    python-support was moved. Thanks to Krzysztof Klimonda
    <kklimonda@syntaxhighlighted.com> for catching this. (Closes: #526206)
  * Update call to create jQuery symlink; media was moved into debug_toolbar
    subdirectory.
  * Bump Standards-Version to 3.8.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 May 2009 23:18:25 +0100

python-django-debug-toolbar (0+git200901231854-2) unstable; urgency=low

  * Move python-setuptools to Build-Depends from Build-Depends-Indep as it is
    now used in the clean target (Closes: #516758)
  * Rework and re-order the call to setup the jquery symlink for compatibility
    with python-support in experimental. Thanks to Josselin Mouette for the
    patch. (Closes: #516760)

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Feb 2009 10:26:27 +0000

python-django-debug-toolbar (0+git200901231854-1) unstable; urgency=low

  * New upstream snapshot.
  * Update location of Git repositories.

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Feb 2009 21:32:43 +0000

python-django-debug-toolbar (0+git200812222307-1) unstable; urgency=low

  * New upstream snapshot.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Dec 2008 21:11:12 +0000

python-django-debug-toolbar (0+git200810080709-1) unstable; urgency=low

  * Initial release (Closes: #500391)

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Oct 2008 16:52:41 +0100
